egdata API
API ReferenceOffers

List top-wishlisted offers

GET
/offers/top-wishlisted

Query Parameters

page?integer

One-based page number.

Default1
Range1 <= value
limit?integer

Maximum number of records to return. Most list endpoints cap this server-side.

Range1 <= value

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/offers/top-wishlisted"
{  "elements": [    {      "id": "string",      "namespace": "string",      "title": "string",      "description": "string",      "offerType": "string",      "seller": {        "id": "string",        "name": "string"      },      "keyImages": [        {          "type": "string",          "url": "http://example.com",          "width": 0,          "height": 0        }      ],      "price": {        "offerId": "string",        "region": "string",        "price": {          "currencyCode": "string",          "originalPrice": 0,          "discountPrice": 0,          "discount": 0        },        "updatedAt": "2019-08-24T14:15:22Z"      },      "releaseDate": "2019-08-24T14:15:22Z",      "lastModifiedDate": "2019-08-24T14:15:22Z"    }  ],  "page": 0,  "limit": 0,  "total": 0}
{  "message": "string",  "error": "string"}
{  "message": "string",  "error": "string"}
{  "message": "string",  "error": "string"}